---
title: RTCRemoteOutboundRtpStreamStats.remoteTimestamp
slug: Web/API/RTCRemoteOutboundRtpStreamStats/remoteTimestamp
tags:
  - API
  - Property
  - RTCRemoteOutboundRtpStreamStats
  - Reference
  - Remote
  - Statistics
  - Stats
  - Timer
  - Timing
  - WebRTC
  - WebRTC API
  - WebRTC Device API
  - remoteTimestamp
  - timeStamp
---
<p>{{APIRef("WebRTC")}}</p>

<p>The {{domxref("RTCRemoteOutboundRtpStreamStats")}} property <strong><code>remoteTimestamp</code></strong> indicates the timestamp on the remote peer at which these statistics were sent. This differs from <code>timestamp</code>, which indicates the time at which the statistics were generated or received locally.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let <em>remoteTimestamp</em> = <em>rtcRemoteOutboundRtpStreamStats</em>.remoteTimestamp;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMHighResTimeStamp")}} value indicating the timestamp on the remote peer at which it sent these statistics. This is different from the value <code>timestamp</code>, which gives the time at which the statistics were generated or received by the local peer.</p>

<p>If this property is present, it comes from the {{Glossary("RTCP")}} Sender Report (SR) block, which reflects the clock on the remote peer at the time the message was sent. Keep in mind that this means the clock may not be synchronized with the local clock, and that both the current time and the pace at which the clock runs may differ to some extent.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcremoteoutboundrtpstreamstats-remotetimestamp', 'RTCRemoteOutboundRtpStreamStats.remoteTimestamp')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRemoteOutboundRtpStreamStats.remoteTimestamp")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("RTCStats.timestamp")}}</li>
</ul>
